org.apache.poi.ss.formula.eval

## Class BoolEval

- java.lang.Object
- - org.apache.poi.ss.formula.eval.BoolEval

- All Implemented Interfaces:
    NumericValueEval, StringValueEval, ValueEval

      public final class BoolEval
      extends java.lang.Object
      implements NumericValueEval, StringValueEval

  Author:
    Amol S. Deshmukh < amolweb at ya hoo dot com >

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BoolEval` | `FALSE`
    `static BoolEval` | `TRUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanValue()`
    `double` | `getNumberValue()`
    `java.lang.String` | `getStringValue()`
    `java.lang.String` | `toString()`
    `static BoolEval` | `valueOf(boolean b)` Convenience method for the following: `(b ? BoolEval.TRUE : BoolEval.FALSE)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FALSE

          public static final BoolEval FALSE

    - #### TRUE

          public static final BoolEval TRUE

  - ### Method Detail

    - #### valueOf

          public static BoolEval valueOf(boolean b)

      Convenience method for the following:
      `(b ? BoolEval.TRUE : BoolEval.FALSE)`
      Returns:
        the `BoolEval` instance representing `b`.

    - #### getBooleanValue

          public boolean getBooleanValue()

    - #### getNumberValue

          public double getNumberValue()

      Specified by:
        `getNumberValue` in interface `NumericValueEval`

    - #### getStringValue

          public java.lang.String getStringValue()

      Specified by:
        `getStringValue` in interface `StringValueEval`
      Returns:
        never `null`, possibly empty string.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.